/*******************************************************************************
*
* Fichier de fonction pour AUTOMAT .
*
* v.0		28/01/92 .
*******************************************************************************/
 typedef struct valu
 {
  char *pere;
  char *fils;
 }*pValu;

 char *CURENT_STATE;
 char *RETURN_STATE;
 char *ETAT_TYPE;
 char *CTRL_TYPE;
 char *CTRL;
 char **ctrlName;
 char *NEXT_STATE;
 char **STACK_NAME;
 char *CLOCK;
 ht   *hshtab;
 char flagPile ;
 extern int   SYF_NUMPTP;
 extern char *findClock();
 extern char *findCState();
 extern char *findNState();
 extern void intpType();
 extern void addelement();
 extern struct chain* andExpr();
 extern p_groupe genGroupe();

